Verify KBA Questions - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

POST

https://api.dwolla.com/kba/{id}

cURL

POST https://api.dwolla.com/kba/33aa88b1-97df-424a-9043-d5f85809858b
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer cRahPzURfaIrTewKL18tmslWPqKdzkLeYJm0oB1hGJ1vMPArft1v

{
    "answers": [
        { "questionId": "2355953375", "answerId": "2687969335" },
        { "questionId": "2355953385", "answerId": "2687969385" },
        { "questionId": "2355953395", "answerId": "2687969435" },
        { "questionId": "2355953405", "answerId": "2687969485" }
    ]
}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var kbaUrl = "https://api.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31";
var requestBody = {
  answers: [
    { questionId: "2355953375", answerId: "2687969335" },
    { questionId: "2355953385", answerId: "2687969385" },
    { questionId: "2355953395", answerId: "2687969435" },
    { questionId: "2355953405", answerId: "2687969485" },
  ],
};

dwolla.post(kbaUrl, requestBody);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
kba_url = 'https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31'

request_body = {
    'answers' : [
        { 'questionId': "2355953375", 'answerId': "2687969335" },
        { 'questionId': "2355953385", 'answerId': "2687969385" },
        { 'questionId': "2355953395", 'answerId':"2687969435" },
        { 'questionId': "2355953405", 'answerId': "2687969485" }
    ]
}

kba_answers = app_token.post (kba_url, request_body)
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$kbaApi = new DwollaSwagger\KbaApi($apiClient);

$kbaUrl = "https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31";

$kbaAnswers = $kbaApi->answerKbaQuestions([
    "answers" => [
         [
             "questionId" => "2355953375",
             "answerId" => "2687969335"
         ],
         [
             "questionId" => "2355953385",
             "answerId" => "2687969385"
         ],
         [
             "questionId" => "2355953395",
             "answerId" => "2687969435"
         ],
         [
             "questionId" => "2355953405",
             "answerId" => "2687969485"
         ]
    ]
  ], $kbaUrl);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
kba_url = 'https://api-sandbox.dwolla.com/kba/70b0e9cc-020d-4de2-9a82-a2281afa4c31'

request_body = {
    :answers => [
        { :questionId => "2355953375", :answerId => "2687969335" },
        { :questionId => "2355953385", :answerId => "2687969385" },
        { :questionId => "2355953395", :answerId => "2687969435" },
        { :questionId => "2355953405", :answerId => "2687969485" }
    ]
}

kba_answers = app_token.post kba_url, request_body

200

403

404

{
  "_links": {
    "customer": {
      "href": "https://api.dwolla.com/customers/b5fd802d-d8c7-43ce-94a8-7c14485b7042",
      "type": "application/vnd.dwolla.v1.hal+json",
      "resource-type": "customer"
    }
  },
  "verificationStatus": "verified"
}
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
{
  "code": "NotFound",
  "message": "KBA session not found."
}